VLCKit

Instance Methods | Properties | List of all members
VLCRendererItem Class Reference

`#import <VLCRendererItem.h>`

Inheritance diagram for VLCRendererItem:

## Instance Methods
(instancetype) | - NS_UNAVAILABLE

## Properties
NSString * | name
NSString * | type
NSString * | iconURI
int | flags

## Detailed Description

Renderer Item

## Method Documentation

## ◆ NS_UNAVAILABLE

- (instancetype) NS_UNAVAILABLE |  |  |

Note
  Unavailable, handled by `VLCRendererDiscoverer`

See also
  VLCRendererDiscoverer

## Property Documentation

## ◆ flags

- (int) flags
| read nonatomic assign

Flags of the renderer item

## ◆ iconURI

- (NSString*) iconURI
| read nonatomic copy

IconURI of the renderer item

## ◆ name

- (NSString*) name
| read nonatomic copy

Name of the renderer item

## ◆ type

- (NSString*) type
| read nonatomic copy

For now, the type can only be "chromecast" ("upnp", "airplay" may come later)

The documentation for this class was generated from the following file:

- Headers/Public/VLCRendererItem.h